﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;
using System.Collections.ObjectModel;

namespace _8956
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();
            ShapeFileFeatureLayer shapeFileLayer = new ShapeFileFeatureLayer(@"..\..\AppData\states.shp");
            shapeFileLayer.Open();
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            //shapeFileLayer.WrappingExtent = new RectangleShape(-180, 90, 180, -90);
            //shapeFileLayer.WrappingMode = WrappingMode.WrapDateline;
            layerOverlay.Layers.Add(shapeFileLayer);
            map.Overlays.Add(layerOverlay);

            InMemoryFeatureLayer sampleLayer = new InMemoryFeatureLayer();
            sampleLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColors.Black, 3, true);
            sampleLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LineShape line = new LineShape(new Collection<Vertex>() { new Vertex(-180, 35), new Vertex(90, 50), new Vertex(180, 35) });
            sampleLayer.InternalFeatures.Add(new Feature(line));

            layerOverlay.Layers.Add(sampleLayer);
            layerOverlay.WrappingMode = WrappingMode.WrapDateline;


            map.CurrentExtent = shapeFileLayer.GetBoundingBox();
            map.Refresh();
        }
    }
}
